Foreman - Feature #23210

PuppetCA: Token Based Autosigning
04/11/2018 07:24 AM - Julian Todt

Status: Closed
Priority: Normal
Assignee: Julian Todt
Category: PuppetCA
Target version:
Difficulty: Fixed in Releases: 1.20.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/communit
y-templates/pull/475,
https://github.com/theforeman/foreman/p
ull/5730
Description

For idea and discussion, see https://community.theforeman.org/t/puppetca-orchestration-the-future-of-autosigning/8712 and

https://github.com/theforeman/rfcs/pull/7/files

Todo:

- Remove previous autosigning functionality from foreman (mainly Host::Managed.handle_ca)

- Add a PuppetCA-Token to Host-Parameters
- Place token on host during provisioning
- Add api endpoint to validate tokens

Related issues:

Related to Smart Proxy - Feature #23211: PuppetCA: Token Based Autosigning Closed

Related to Installer - Feature #23477: PuppetCA: Token Based Autosigning New

Related to Foreman - Feature #23626: Move PuppetCA autosigning to build queue Closed 05/17/2018
Related to Foreman - Bug #24993: migration broken on nightly mysq|l Closed

Associated revisions

Revision 30face9f - 09/19/2018 10:17 AM - Julian Todt
Fixes #23210 - Handle PuppetCA tokens
In a new SmartProxy PuppetCA autosigning variant

tokens get returned that need to be provisioned on
the host.

Revision c24aeb2b - 09/19/2018 10:18 AM - Julian Todt
Refs #23210 - Provision PuppetCA-Token on Host
Adds the PuppetCA-Token that is generated by Foreman

on Host-Creation in puppet's csr_attributes.yaml,
so it is included in puppet's CSR to be verified.

History

#1 - 04/11/2018 07:31 AM - Julian Todt

- Related to Feature #23211: PuppetCA: Token Based Autosigning added

#2 - 04/18/2018 10:09 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5465 added

#3 - 04/18/2018 10:29 AM - The Foreman Bot

- Pull request https://github.com/theforeman/community-templates/pull/475 added
https://community.theforeman.org/t/puppetca-orchestration-the-future-of-autosigning/8712
https://github.com/theforeman/rfcs/pull/7/files

#4 - 05/02/2018 10:35 AM - Julian Todt
- Related to Feature #23477: PuppetCA: Token Based Autosigning added

#5 - 05/17/2018 02:52 PM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/5580 added

#6 - 05/17/2018 03:15 PM - Julian Todt
- Related to Feature #23626: Move PuppetCA autosigning to build queue added

#7 - 06/21/2018 01:26 PM - Timo Goebel

- translation missing: en.field_release set to 353

#8 - 06/21/2018 01:27 PM - Timo Goebel
- Pull request deleted (https://github.com/theforeman/foreman/pull/5465)

#9 - 06/21/2018 01:27 PM - Timo Goebel
- Subject changed from PuppetCA: Token Based Autosigning to PuppetCA: Move autosign to build queue

#10 - 06/21/2018 01:28 PM - Timo Goebel
- Subject changed from PuppetCA: Move autosign to build queue to PuppetCA: Token Based Autosigning
- translation missing: en.field_release deleted (353)

- Pull request deleted (https://github.com/theforeman/foreman/pull/5580)

#11 - 06/21/2018 01:42 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/5730 added

#12 - 09/19/2018 10:17 AM - Timo Goebel
- Fixed in Releases 1.20.0 added

#13 - 09/19/2018 11:01 AM - Julian Todt
- Status changed from Ready For Testing to Closed

Applied in changeset 30face9f4cc1f6dce2bebbfa8290e1922d0bf26b.

#14 - 09/23/2018 03:44 PM - Anonymous
- Related to Bug #24993: migration broken on nightly mysql added
